=== debian/control ===
Source: password-gorilla
Section: x11
Priority: extra
Maintainer: Patrick Schoenfeld <schoenfeld@debian.org>
Homepage: http://www.fpx.de/fp/Software/Gorilla/
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/ext-maint/password-gorilla/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/ext-maint/password-gorilla
Build-Depends: debhelper (>= 5.0.51~)
Build-Depends-Indep: autotools-dev, tk8.5, imagemagick, docbook-to-man
Standards-Version: 3.9.1

Package: password-gorilla
Architecture: all
Depends: tcl8.5, tk8.5, itcl3, bwidget, tcllib, ${misc:Depends}
Description: cross-platform password manager
 The Password Gorilla helps you manage your logins. It stores all your
 user names and passwords, along with login information and other
 notes, in a securely encrypted file. A single "master password" is
 used to protect the file. This way, you only need to remember the
 single master password, instead of the many logins that you use.
 .
 If you want to log in to a service or Web site, the Password Gorilla
 copies your user name and password to the clipboard, so that you can
 easily paste it into your Web browser or other application. Because
 the password does not appear on the screen, Password Gorilla is safe
 to use in the presence of others.
 .
 The convenience of Password Gorilla allows you to choose different,
 non-intuitive passwords for each service. An integrated random
 password generator can provide one-time passwords, tunable to various
 services' policies.
 .
 Password Gorilla is a tcl/tk application which can run on Linux and
 Windows, and the files written are supposed to be compatible between
 platforms. This is important for collaboration in heterogenous
 environments.
