=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

build: build-stamp
build-stamp:
	convert sources/pics/gorilla-32x32.gif debian/password-gorilla-32x32.png
	convert sources/pics/gorilla-16x16.gif debian/password-gorilla-16x16.png
	convert sources/pics/gorilla-48x48.gif debian/password-gorilla-48x48.png
	convert sources/pics/gorilla-32x32.gif debian/password-gorilla.xpm
	docbook-to-man debian/manpage.sgml > debian/password-gorilla.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f configure-stamp
	rm -f debian/password-gorilla.1
	rm -f debian/password-gorilla.xpm
	rm -f debian/password-gorilla*.png
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Install directories
	install -d debian/password-gorilla/usr/share/password-gorilla
	install -d debian/password-gorilla/usr/share/password-gorilla/pwsafe
	install -d debian/password-gorilla/usr/share/password-gorilla/twofish
	install -d debian/password-gorilla/usr/share/password-gorilla/tooltip
	install -d debian/password-gorilla/usr/share/password-gorilla/msgs

	# Install files
	install -D -m644 sources/*.tcl debian/password-gorilla/usr/share/password-gorilla/
	install -D -m755 sources/gorilla.tcl debian/password-gorilla/usr/share/password-gorilla/
	install -D -m644 sources/tooltip/* debian/password-gorilla/usr/share/password-gorilla/tooltip
	install -D -m644 sources/msgs/* debian/password-gorilla/usr/share/password-gorilla/msgs
	install -D -m644 sources/help.txt debian/password-gorilla/usr/share/password-gorilla/help.txt
	install -D -m644 sources/blowfish/blowtest.tcl debian/password-gorilla/usr/share/password-gorilla/blowfish/blowtest.tcl
	install -m644 sources/blowfish/blowfish.tcl sources/blowfish/pkgIndex.tcl debian/password-gorilla/usr/share/password-gorilla/blowfish
	install -m644 sources/pwsafe/*.tcl debian/password-gorilla/usr/share/password-gorilla/pwsafe/
	install -m644 sources/twofish/*.tcl debian/password-gorilla/usr/share/password-gorilla/twofish
	install -D -m755 debian/password-gorilla.sh debian/password-gorilla/usr/bin/password-gorilla
	install -D -m644 debian/password-gorilla.desktop debian/password-gorilla/usr/share/applications/password-gorilla.desktop
	install -D -m644 debian/password-gorilla.1 debian/password-gorilla/usr/share/man/man1/password-gorilla.1

	# install icons
	install -D -m644 debian/password-gorilla-32x32.png debian/password-gorilla/usr/share/icons/hicolor/32x32/password-gorilla.png
	install -D -m644 debian/password-gorilla-48x48.png debian/password-gorilla/usr/share/icons/hicolor/48x48/password-gorilla.png
	install -D -m644 debian/password-gorilla-16x16.png debian/password-gorilla/usr/share/icons/hicolor/16x16/password-gorilla.png
	install -D -m644 debian/password-gorilla.xpm debian/password-gorilla/usr/share/pixmaps/password-gorilla.xpm

	# some fixes
	sed -i '1d' debian/password-gorilla/usr/share/password-gorilla/twofish/f32-critcl.tcl

	# fix permissions
	chmod 755 debian/password-gorilla/usr/share/password-gorilla/pwsafe/pwtest.tcl
	chmod 755 debian/password-gorilla/usr/share/password-gorilla/twofish/twotest.tcl

binary-arch: build install
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs sources/CHANGES.txt
	dh_installmenu
	dh_installdocs
	dh_icons
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
