=== debian/watch ===
version=3
opts="filenamemangle=s/v/password-gorilla-/g;s|/github/zdia/gorilla/||" http://githubredir.debian.net/github/zdia/gorilla .*v(.+).tar.gz
