## password-gorilla 1.5.3.6.3

=== debian/changelog ===
password-gorilla (1.5.3.6.3-1) unstable; urgency=low

  * New maintainer (Closes: #698725)
  * New upstream version (Closes: #698665, #622398)
  * Bump package version
    + Standards-Version; no changes needed
    + Bump compat; no changes needed
    + Build-Depends: newer debhelper version
    + Add Build-Depends: dpkg-dev; fixes lintian warning
    + Add Build-Depends-Indep: librsvg2-bin; allows icon generation
    + Remove dependency on autotools-dev
  * Use debhelper more thoroughly
    + Use dh in debian/rules
    + Use override_dh_auto_build for sgml->man
    + Use override_dh_install for icons conversion, shell script installation
    + Add manpages file
    + Add clean file for generated man page
    + Add install file to install most files
    + Remove dirs file; not needed anymore
  * Update watch file to use simpler format
  * Remove README.source, which contained outdated information
  * Use tklib's version of tooltip module
    + Add Depends rule on tklib
  * Generate higher quality icons (up to 128x128)
  * Fix target directory of png icons
  * Rename manpage.sgml->password-gorilla.sgml
  * Don't package twofish, blowfish, and pwsafe test scripts
  * Modify man page to point to GPL-2 specifically
  * Drop dependency on bwidget, no longer needed

 -- Alexandre Raymond <alexandre.j.raymond@gmail.com>  Wed, 06 Feb 2013 23:22:39 -0500
