## password-gorilla 1.5.3.7

=== debian/changelog ===
password-gorilla (1.5.3.7-1) unstable; urgency=low

  * New upstream version v1.5.3.7
  * Add new files
    + Images are now contained in the pics/ directory

 -- Alexandre Raymond <alexandre.j.raymond@gmail.com>  Sun, 17 Mar 2013 16:25:24 -0400
