=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: password-gorilla
 Section: x11
 Priority: extra
-Maintainer: Patrick Schoenfeld <schoenfeld@debian.org>
-Homepage: http://www.fpx.de/fp/Software/Gorilla/
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/ext-maint/password-gorilla/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/ext-maint/password-gorilla
-Build-Depends: debhelper (>= 5.0.51~)
-Build-Depends-Indep: autotools-dev, tk8.5, imagemagick, docbook-to-man
-Standards-Version: 3.9.1
+Maintainer: Alexandre Raymond <alexandre.j.raymond@gmail.com>
+Homepage: https://github.com/zdia/gorilla/wiki
+Vcs-Git: git://github.com/ajraymond/gorilla-debian.git
+Vcs-Browser: https://github.com/ajraymond/gorilla-debian
+Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~)
+Build-Depends-Indep: docbook-to-man, imagemagick, librsvg2-bin, tk8.5
+Standards-Version: 3.9.4
 
 Package: password-gorilla
 Architecture: all
-Depends: tcl8.5, tk8.5, itcl3, bwidget, tcllib, ${misc:Depends}
+Depends: tcl8.5, tk8.5, itcl3, tcllib, tklib, ${misc:Depends}
 Description: cross-platform password manager
  The Password Gorilla helps you manage your logins. It stores all your
  user names and passwords, along with login information and other
