=== debian/watch ===
version=3
https://github.com/zdia/gorilla/tags .*/v(\d[\d\.]+)\.tar\.gz
