=== debian/changelog ===
password-gorilla (1.6.0~git20180203.228bbbb-1) unstable; urgency=low

  * New package based on upstream pre-release v1.6.0-git228bbbb
    + Version doesn't depend on ifconfig anymore (Closes: #873056)
    + New version works with Debian unstable (Closes: #888893)
      following the deprecation of tcl8.5 (itcl3 issue)
    + Confirm that old bug is fixed (Closes: #629114)
  * Packaging repo now hosted on Debian salsa
  * debian/control:
    + Build-Depends: bump debhelper dependency to (>= 11) to reflect change in
      compat file. Remove version dependency on dpkg-dev, as it is fulfilled
      by buildessentials package
    + Standards-Version: bump version to (4.1.3), the current policy version
    + Depends: change hard-coded tcl8.5/tk8.5 to tcl/tk to reflect changes in
      upstream code
    + Priority: use optional instead of extra per lintian's suggestion
    + Vcs-Git: use https:// instead of git:// per lintian's suggestion
  * debian/misc:
    + copyright: update to use machine-readable format
    + patches: patch sources to reflect version number 1.6.0
    + compat: bump version to (11) to reflect current recommendation of
      debhelper(7)
    + menu: remove deprecated file per lintian's suggestion
    + desktop: add keywords per lintian's suggestion
    + rules: Use rsvg-convert to generate icons in debian/rules, as
      imagemagick generated empty PNGs

 -- Alexandre J. Raymond <alexandre.j.raymond@gmail.com>  Thu, 1 Feb 2018 13:07:00 -0500
