=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: password-gorilla
 Section: x11
-Priority: extra
-Maintainer: Alexandre Raymond <alexandre.j.raymond@gmail.com>
+Priority: optional
+Maintainer: Alexandre J. Raymond <alexandre.j.raymond@gmail.com>
 Homepage: https://github.com/zdia/gorilla/wiki
-Vcs-Git: git://github.com/ajraymond/gorilla-debian.git
-Vcs-Browser: https://github.com/ajraymond/gorilla-debian
-Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~)
-Build-Depends-Indep: docbook-to-man, imagemagick, librsvg2-bin, tk8.5
-Standards-Version: 3.9.4
+Vcs-Git: https://salsa.debian.org/ajraymond-guest/password-gorilla-debian.git
+Vcs-Browser: https://salsa.debian.org/ajraymond-guest/password-gorilla-debian
+Build-Depends: debhelper (>= 11)
+Build-Depends-Indep: docbook-to-man, librsvg2-bin, tk
+Standards-Version: 4.1.3
 
 Package: password-gorilla
 Architecture: all
-Depends: tcl8.5, tk8.5, itcl3, tcllib, tklib, ${misc:Depends}
+Depends: tcl, tk, itcl3, tcllib, tklib, ${misc:Depends}
 Description: cross-platform password manager
  The Password Gorilla helps you manage your logins. It stores all your
  user names and passwords, along with login information and other
