=== debian/rules ===
#!/usr/bin/make -f

# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	docbook-to-man debian/password-gorilla.sgml	> debian/password-gorilla.1
	dh_auto_build

override_dh_install:
	install -D debian/password-gorilla.sh debian/password-gorilla/usr/bin/password-gorilla
	install -D sources/CHANGES.txt debian/password-gorilla/usr/share/doc/password-gorilla/changelog
	mkdir -p debian/password-gorilla/usr/share/icons/hicolor/16x16/apps
	mkdir -p debian/password-gorilla/usr/share/icons/hicolor/32x32/apps
	mkdir -p debian/password-gorilla/usr/share/icons/hicolor/48x48/apps
	mkdir -p debian/password-gorilla/usr/share/icons/hicolor/72x72/apps
	mkdir -p debian/password-gorilla/usr/share/icons/hicolor/96x96/apps
	mkdir -p debian/password-gorilla/usr/share/icons/hicolor/128x128/apps
	rsvg-convert --width 16 --height 16  sources/pics/vector-logo/gorilla-logo.svg -o debian/password-gorilla/usr/share/icons/hicolor/16x16/apps/password-gorilla.png
	rsvg-convert --width 32 --height 32  sources/pics/vector-logo/gorilla-logo.svg -o debian/password-gorilla/usr/share/icons/hicolor/32x32/apps/password-gorilla.png
	rsvg-convert --width 48 --height 48  sources/pics/vector-logo/gorilla-logo.svg -o debian/password-gorilla/usr/share/icons/hicolor/48x48/apps/password-gorilla.png
	rsvg-convert --width 72 --height 72  sources/pics/vector-logo/gorilla-logo.svg -o debian/password-gorilla/usr/share/icons/hicolor/72x72/apps/password-gorilla.png
	rsvg-convert --width 96 --height 96  sources/pics/vector-logo/gorilla-logo.svg -o debian/password-gorilla/usr/share/icons/hicolor/96x96/apps/password-gorilla.png
	rsvg-convert --width 128 --height 128 sources/pics/vector-logo/gorilla-logo.svg -o debian/password-gorilla/usr/share/icons/hicolor/128x128/apps/password-gorilla.png
	dh_install
